config.sub | config.sub | |||
---|---|---|---|---|
#! /bin/sh | #! /bin/sh | |||
# Configuration validation subroutine script. | # Configuration validation subroutine script. | |||
# Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, | # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, | |||
# 2000, 2001, 2002 Free Software Foundation, Inc. | # 2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation, | |||
# Inc. | ||||
timestamp='2002-11-30' | timestamp='2006-03-07' | |||
# This file is (in principle) common to ALL GNU software. | # This file is (in principle) common to ALL GNU software. | |||
# The presence of a machine in this file suggests that SOME GNU software | # The presence of a machine in this file suggests that SOME GNU software | |||
# can handle that machine. It does not imply ALL GNU software can. | # can handle that machine. It does not imply ALL GNU software can. | |||
# | # | |||
# This file is free software; you can redistribute it and/or modify | # This file is free software; you can redistribute it and/or modify | |||
# it under the terms of the GNU General Public License as published by | # it under the terms of the GNU General Public License as published by | |||
# the Free Software Foundation; either version 2 of the License, or | # the Free Software Foundation; either version 2 of the License, or | |||
# (at your option) any later version. | # (at your option) any later version. | |||
# | # | |||
# This program is distributed in the hope that it will be useful, | # This program is distributed in the hope that it will be useful, | |||
# but WITHOUT ANY WARRANTY; without even the implied warranty of | # but WITHOUT ANY WARRANTY; without even the implied warranty of | |||
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the | # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the | |||
# GNU General Public License for more details. | # GNU General Public License for more details. | |||
# | # | |||
# You should have received a copy of the GNU General Public License | # You should have received a copy of the GNU General Public License | |||
# along with this program; if not, write to the Free Software | # along with this program; if not, write to the Free Software | |||
# Foundation, Inc., 59 Temple Place - Suite 330, | # Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA | |||
# Boston, MA 02111-1307, USA. | # 02110-1301, USA. | |||
# | ||||
# As a special exception to the GNU General Public License, if you | # As a special exception to the GNU General Public License, if you | |||
# distribute this file as part of a program that contains a | # distribute this file as part of a program that contains a | |||
# configuration script generated by Autoconf, you may include it under | # configuration script generated by Autoconf, you may include it under | |||
# the same distribution terms that you use for the rest of that program. | # the same distribution terms that you use for the rest of that program. | |||
# Please send patches to <config-patches@gnu.org>. Submit a context | # Please send patches to <config-patches@gnu.org>. Submit a context | |||
# diff and a properly formatted ChangeLog entry. | # diff and a properly formatted ChangeLog entry. | |||
# | # | |||
# Configuration subroutine to validate and canonicalize a configuration typ e. | # Configuration subroutine to validate and canonicalize a configuration typ e. | |||
# Supply the specified configuration type as an argument. | # Supply the specified configuration type as an argument. | |||
skipping to change at line 73 | skipping to change at line 74 | |||
Operation modes: | Operation modes: | |||
-h, --help print this help, then exit | -h, --help print this help, then exit | |||
-t, --time-stamp print date of last modification, then exit | -t, --time-stamp print date of last modification, then exit | |||
-v, --version print version number, then exit | -v, --version print version number, then exit | |||
Report bugs and patches to <config-patches@gnu.org>." | Report bugs and patches to <config-patches@gnu.org>." | |||
version="\ | version="\ | |||
GNU config.sub ($timestamp) | GNU config.sub ($timestamp) | |||
Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001 | Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2 002, 2003, 2004, 2005 | |||
Free Software Foundation, Inc. | Free Software Foundation, Inc. | |||
This is free software; see the source for copying conditions. There is NO | This is free software; see the source for copying conditions. There is NO | |||
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. " | warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. " | |||
help=" | help=" | |||
Try \`$me --help' for more information." | Try \`$me --help' for more information." | |||
# Parse command line | # Parse command line | |||
while test $# -gt 0 ; do | while test $# -gt 0 ; do | |||
case $1 in | case $1 in | |||
--time-stamp | --time* | -t ) | --time-stamp | --time* | -t ) | |||
echo "$timestamp" ; exit 0 ;; | echo "$timestamp" ; exit ;; | |||
--version | -v ) | --version | -v ) | |||
echo "$version" ; exit 0 ;; | echo "$version" ; exit ;; | |||
--help | --h* | -h ) | --help | --h* | -h ) | |||
echo "$usage"; exit 0 ;; | echo "$usage"; exit ;; | |||
-- ) # Stop option processing | -- ) # Stop option processing | |||
shift; break ;; | shift; break ;; | |||
- ) # Use stdin as input. | - ) # Use stdin as input. | |||
break ;; | break ;; | |||
-* ) | -* ) | |||
echo "$me: invalid option $1$help" | echo "$me: invalid option $1$help" | |||
exit 1 ;; | exit 1 ;; | |||
*local*) | *local*) | |||
# First pass through any local machine types. | # First pass through any local machine types. | |||
echo $1 | echo $1 | |||
exit 0;; | exit ;; | |||
* ) | * ) | |||
break ;; | break ;; | |||
esac | esac | |||
done | done | |||
case $# in | case $# in | |||
0) echo "$me: missing argument$help" >&2 | 0) echo "$me: missing argument$help" >&2 | |||
exit 1;; | exit 1;; | |||
1) ;; | 1) ;; | |||
*) echo "$me: too many arguments$help" >&2 | *) echo "$me: too many arguments$help" >&2 | |||
exit 1;; | exit 1;; | |||
esac | esac | |||
# Separate what the user gave into CPU-COMPANY and OS or KERNEL-OS (if any) . | # Separate what the user gave into CPU-COMPANY and OS or KERNEL-OS (if any) . | |||
# Here we must recognize all the valid KERNEL-OS combinations. | # Here we must recognize all the valid KERNEL-OS combinations. | |||
maybe_os=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\2/'` | maybe_os=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\2/'` | |||
case $maybe_os in | case $maybe_os in | |||
nto-qnx* | linux-gnu* | freebsd*-gnu* | netbsd*-gnu* | storm-chaos* | os2 | nto-qnx* | linux-gnu* | linux-dietlibc | linux-newlib* | linux-uclibc* | | |||
-emx* | rtmk-nova*) | \ | |||
uclinux-uclibc* | uclinux-gnu* | kfreebsd*-gnu* | knetbsd*-gnu* | netbsd* | ||||
-gnu* | \ | ||||
storm-chaos* | os2-emx* | rtmk-nova*) | ||||
os=-$maybe_os | os=-$maybe_os | |||
basic_machine=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\1/'` | basic_machine=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\1/'` | |||
;; | ;; | |||
*) | *) | |||
basic_machine=`echo $1 | sed 's/-[^-]*$//'` | basic_machine=`echo $1 | sed 's/-[^-]*$//'` | |||
if [ $basic_machine != $1 ] | if [ $basic_machine != $1 ] | |||
then os=`echo $1 | sed 's/.*-/-/'` | then os=`echo $1 | sed 's/.*-/-/'` | |||
else os=; fi | else os=; fi | |||
;; | ;; | |||
esac | esac | |||
skipping to change at line 147 | skipping to change at line 150 | |||
case $os in | case $os in | |||
-sun*os*) | -sun*os*) | |||
# Prevent following clause from handling this invalid input. | # Prevent following clause from handling this invalid input. | |||
;; | ;; | |||
-dec* | -mips* | -sequent* | -encore* | -pc532* | -sgi* | -sony* | \ | -dec* | -mips* | -sequent* | -encore* | -pc532* | -sgi* | -sony* | \ | |||
-att* | -7300* | -3300* | -delta* | -motorola* | -sun[234]* | \ | -att* | -7300* | -3300* | -delta* | -motorola* | -sun[234]* | \ | |||
-unicom* | -ibm* | -next | -hp | -isi* | -apollo | -altos* | \ | -unicom* | -ibm* | -next | -hp | -isi* | -apollo | -altos* | \ | |||
-convergent* | -ncr* | -news | -32* | -3600* | -3100* | -hitachi* |\ | -convergent* | -ncr* | -news | -32* | -3600* | -3100* | -hitachi* |\ | |||
-c[123]* | -convex* | -sun | -crds | -omron* | -dg | -ultra | -tti* | \ | -c[123]* | -convex* | -sun | -crds | -omron* | -dg | -ultra | -tti* | \ | |||
-harris | -dolphin | -highlevel | -gould | -cbm | -ns | -masscomp | \ | -harris | -dolphin | -highlevel | -gould | -cbm | -ns | -masscomp | \ | |||
-apple | -axis) | -apple | -axis | -knuth | -cray) | |||
os= | os= | |||
basic_machine=$1 | basic_machine=$1 | |||
;; | ;; | |||
-sim | -cisco | -oki | -wec | -winbond) | -sim | -cisco | -oki | -wec | -winbond) | |||
os= | os= | |||
basic_machine=$1 | basic_machine=$1 | |||
;; | ;; | |||
-scout) | -scout) | |||
;; | ;; | |||
-wrs) | -wrs) | |||
skipping to change at line 172 | skipping to change at line 175 | |||
os=-chorusos | os=-chorusos | |||
basic_machine=$1 | basic_machine=$1 | |||
;; | ;; | |||
-chorusrdb) | -chorusrdb) | |||
os=-chorusrdb | os=-chorusrdb | |||
basic_machine=$1 | basic_machine=$1 | |||
;; | ;; | |||
-hiux*) | -hiux*) | |||
os=-hiuxwe2 | os=-hiuxwe2 | |||
;; | ;; | |||
-sco6) | ||||
os=-sco5v6 | ||||
basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | ||||
;; | ||||
-sco5) | -sco5) | |||
os=-sco3.2v5 | os=-sco3.2v5 | |||
basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | |||
;; | ;; | |||
-sco4) | -sco4) | |||
os=-sco3.2v4 | os=-sco3.2v4 | |||
basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | |||
;; | ;; | |||
-sco3.2.[4-9]*) | -sco3.2.[4-9]*) | |||
os=`echo $os | sed -e 's/sco3.2./sco3.2v/'` | os=`echo $os | sed -e 's/sco3.2./sco3.2v/'` | |||
basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | |||
;; | ;; | |||
-sco3.2v[4-9]*) | -sco3.2v[4-9]*) | |||
# Don't forget version if it is 3.2v4 or newer. | # Don't forget version if it is 3.2v4 or newer. | |||
basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | |||
;; | ;; | |||
-sco5v6*) | ||||
# Don't forget version if it is 3.2v4 or newer. | ||||
basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | ||||
;; | ||||
-sco*) | -sco*) | |||
os=-sco3.2v2 | os=-sco3.2v2 | |||
basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | |||
;; | ;; | |||
-udk*) | -udk*) | |||
basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | |||
;; | ;; | |||
-isc) | -isc) | |||
os=-isc2.2 | os=-isc2.2 | |||
basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'` | |||
skipping to change at line 231 | skipping to change at line 242 | |||
esac | esac | |||
# Decode aliases for certain CPU-COMPANY combinations. | # Decode aliases for certain CPU-COMPANY combinations. | |||
case $basic_machine in | case $basic_machine in | |||
# Recognize the basic CPU types without company name. | # Recognize the basic CPU types without company name. | |||
# Some are omitted here because they have special meanings below. | # Some are omitted here because they have special meanings below. | |||
1750a | 580 \ | 1750a | 580 \ | |||
| a29k \ | | a29k \ | |||
| alpha | alphaev[4-8] | alphaev56 | alphaev6[78] | alphapca5[67] \ | | alpha | alphaev[4-8] | alphaev56 | alphaev6[78] | alphapca5[67] \ | |||
| alpha64 | alpha64ev[4-8] | alpha64ev56 | alpha64ev6[78] | alpha64p ca5[67] \ | | alpha64 | alpha64ev[4-8] | alpha64ev56 | alpha64ev6[78] | alpha64p ca5[67] \ | |||
| am33_2.0 \ | ||||
| arc | arm | arm[bl]e | arme[lb] | armv[2345] | armv[345][lb] | avr \ | | arc | arm | arm[bl]e | arme[lb] | armv[2345] | armv[345][lb] | avr \ | |||
| clipper \ | | bfin \ | |||
| c4x | clipper \ | ||||
| d10v | d30v | dlx | dsp16xx \ | | d10v | d30v | dlx | dsp16xx \ | |||
| fr30 | frv \ | | fr30 | frv \ | |||
| h8300 | h8500 | hppa | hppa1.[01] | hppa2.0 | hppa2.0[nw] | hppa64 \ | | h8300 | h8500 | hppa | hppa1.[01] | hppa2.0 | hppa2.0[nw] | hppa64 \ | |||
| i370 | i860 | i960 | ia64 \ | | i370 | i860 | i960 | ia64 \ | |||
| ip2k \ | | ip2k | iq2000 \ | |||
| m32r | m68000 | m68k | m88k | mcore \ | | m32r | m32rle | m68000 | m68k | m88k | maxq | mb | microblaze | mc | |||
ore \ | ||||
| mips | mipsbe | mipseb | mipsel | mipsle \ | | mips | mipsbe | mipseb | mipsel | mipsle \ | |||
| mips16 \ | | mips16 \ | |||
| mips64 | mips64el \ | | mips64 | mips64el \ | |||
| mips64vr | mips64vrel \ | | mips64vr | mips64vrel \ | |||
| mips64orion | mips64orionel \ | | mips64orion | mips64orionel \ | |||
| mips64vr4100 | mips64vr4100el \ | | mips64vr4100 | mips64vr4100el \ | |||
| mips64vr4300 | mips64vr4300el \ | | mips64vr4300 | mips64vr4300el \ | |||
| mips64vr5000 | mips64vr5000el \ | | mips64vr5000 | mips64vr5000el \ | |||
| mips64vr5900 | mips64vr5900el \ | ||||
| mipsisa32 | mipsisa32el \ | | mipsisa32 | mipsisa32el \ | |||
| mipsisa32r2 | mipsisa32r2el \ | ||||
| mipsisa64 | mipsisa64el \ | | mipsisa64 | mipsisa64el \ | |||
| mipsisa64r2 | mipsisa64r2el \ | ||||
| mipsisa64sb1 | mipsisa64sb1el \ | | mipsisa64sb1 | mipsisa64sb1el \ | |||
| mipsisa64sr71k | mipsisa64sr71kel \ | | mipsisa64sr71k | mipsisa64sr71kel \ | |||
| mipstx39 | mipstx39el \ | | mipstx39 | mipstx39el \ | |||
| mn10200 | mn10300 \ | | mn10200 | mn10300 \ | |||
| mt \ | ||||
| msp430 \ | ||||
| nios | nios2 \ | ||||
| ns16k | ns32k \ | | ns16k | ns32k \ | |||
| openrisc | or32 \ | | or32 \ | |||
| pdp10 | pdp11 | pj | pjl \ | | pdp10 | pdp11 | pj | pjl \ | |||
| powerpc | powerpc64 | powerpc64le | powerpcle | ppcbe \ | | powerpc | powerpc64 | powerpc64le | powerpcle | ppcbe \ | |||
| pyramid \ | | pyramid \ | |||
| sh | sh[1234] | sh3e | sh[34]eb | shbe | shle | sh[1234]le | sh3el e \ | | sh | sh[1234] | sh[24]a | sh[23]e | sh[34]eb | sheb | shbe | shle | sh[1234]le | sh3ele \ | |||
| sh64 | sh64le \ | | sh64 | sh64le \ | |||
| sparc | sparc64 | sparc86x | sparclet | sparclite | sparcv9 | spar | | sparc | sparc64 | sparc64b | sparc64v | sparc86x | sparclet | spar | |||
cv9b \ | clite \ | |||
| sparcv8 | sparcv9 | sparcv9b | sparcv9v \ | ||||
| strongarm \ | | strongarm \ | |||
| tahoe | thumb | tic80 | tron \ | | tahoe | thumb | tic4x | tic80 | tron \ | |||
| v850 | v850e \ | | v850 | v850e \ | |||
| we32k \ | | we32k \ | |||
| x86 | xscale | xstormy16 | xtensa \ | | x86 | xscale | xscalee[bl] | xstormy16 | xtensa \ | |||
| z8k) | | z8k) | |||
basic_machine=$basic_machine-unknown | basic_machine=$basic_machine-unknown | |||
;; | ;; | |||
m32c) | ||||
basic_machine=$basic_machine-unknown | ||||
;; | ||||
m6811 | m68hc11 | m6812 | m68hc12) | m6811 | m68hc11 | m6812 | m68hc12) | |||
# Motorola 68HC11/12. | # Motorola 68HC11/12. | |||
basic_machine=$basic_machine-unknown | basic_machine=$basic_machine-unknown | |||
os=-none | os=-none | |||
;; | ;; | |||
m88110 | m680[12346]0 | m683?2 | m68360 | m5200 | v70 | w65 | z8k) | m88110 | m680[12346]0 | m683?2 | m68360 | m5200 | v70 | w65 | z8k) | |||
;; | ;; | |||
ms1) | ||||
basic_machine=mt-unknown | ||||
;; | ||||
# We use `pc' rather than `unknown' | # We use `pc' rather than `unknown' | |||
# because (1) that's what they normally are, and | # because (1) that's what they normally are, and | |||
# (2) the word "unknown" tends to confuse beginning users. | # (2) the word "unknown" tends to confuse beginning users. | |||
i*86 | x86_64) | i*86 | x86_64) | |||
basic_machine=$basic_machine-pc | basic_machine=$basic_machine-pc | |||
;; | ;; | |||
# Object if more than one company name word. | # Object if more than one company name word. | |||
*-*-*) | *-*-*) | |||
echo Invalid configuration \`$1\': machine \`$basic_machine\ ' not recognized 1>&2 | echo Invalid configuration \`$1\': machine \`$basic_machine\ ' not recognized 1>&2 | |||
exit 1 | exit 1 | |||
;; | ;; | |||
# Recognize the basic CPU types with company name. | # Recognize the basic CPU types with company name. | |||
580-* \ | 580-* \ | |||
| a29k-* \ | | a29k-* \ | |||
| alpha-* | alphaev[4-8]-* | alphaev56-* | alphaev6[78]-* \ | | alpha-* | alphaev[4-8]-* | alphaev56-* | alphaev6[78]-* \ | |||
| alpha64-* | alpha64ev[4-8]-* | alpha64ev56-* | alpha64ev6[78]-* \ | | alpha64-* | alpha64ev[4-8]-* | alpha64ev56-* | alpha64ev6[78]-* \ | |||
| alphapca5[67]-* | alpha64pca5[67]-* | arc-* \ | | alphapca5[67]-* | alpha64pca5[67]-* | arc-* \ | |||
| arm-* | armbe-* | armle-* | armeb-* | armv*-* \ | | arm-* | armbe-* | armle-* | armeb-* | armv*-* \ | |||
| avr-* \ | | avr-* \ | |||
| bs2000-* \ | | bfin-* | bs2000-* \ | |||
| c[123]* | c30-* | [cjt]90-* | c4x-* | c54x-* \ | | c[123]* | c30-* | [cjt]90-* | c4x-* | c54x-* | c55x-* | c6x-* \ | |||
| clipper-* | cydra-* \ | | clipper-* | craynv-* | cydra-* \ | |||
| d10v-* | d30v-* | dlx-* \ | | d10v-* | d30v-* | dlx-* \ | |||
| elxsi-* \ | | elxsi-* \ | |||
| f30[01]-* | f700-* | fr30-* | frv-* | fx80-* \ | | f30[01]-* | f700-* | fr30-* | frv-* | fx80-* \ | |||
| h8300-* | h8500-* \ | | h8300-* | h8500-* \ | |||
| hppa-* | hppa1.[01]-* | hppa2.0-* | hppa2.0[nw]-* | hppa64-* \ | | hppa-* | hppa1.[01]-* | hppa2.0-* | hppa2.0[nw]-* | hppa64-* \ | |||
| i*86-* | i860-* | i960-* | ia64-* \ | | i*86-* | i860-* | i960-* | ia64-* \ | |||
| ip2k-* \ | | ip2k-* | iq2000-* \ | |||
| m32r-* \ | | m32r-* | m32rle-* \ | |||
| m68000-* | m680[012346]0-* | m68360-* | m683?2-* | m68k-* \ | | m68000-* | m680[012346]0-* | m68360-* | m683?2-* | m68k-* \ | |||
| m88110-* | m88k-* | mcore-* \ | | m88110-* | m88k-* | maxq-* | mcore-* \ | |||
| mips-* | mipsbe-* | mipseb-* | mipsel-* | mipsle-* \ | | mips-* | mipsbe-* | mipseb-* | mipsel-* | mipsle-* \ | |||
| mips16-* \ | | mips16-* \ | |||
| mips64-* | mips64el-* \ | | mips64-* | mips64el-* \ | |||
| mips64vr-* | mips64vrel-* \ | | mips64vr-* | mips64vrel-* \ | |||
| mips64orion-* | mips64orionel-* \ | | mips64orion-* | mips64orionel-* \ | |||
| mips64vr4100-* | mips64vr4100el-* \ | | mips64vr4100-* | mips64vr4100el-* \ | |||
| mips64vr4300-* | mips64vr4300el-* \ | | mips64vr4300-* | mips64vr4300el-* \ | |||
| mips64vr5000-* | mips64vr5000el-* \ | | mips64vr5000-* | mips64vr5000el-* \ | |||
| mips64vr5900-* | mips64vr5900el-* \ | ||||
| mipsisa32-* | mipsisa32el-* \ | | mipsisa32-* | mipsisa32el-* \ | |||
| mipsisa32r2-* | mipsisa32r2el-* \ | ||||
| mipsisa64-* | mipsisa64el-* \ | | mipsisa64-* | mipsisa64el-* \ | |||
| mipsisa64r2-* | mipsisa64r2el-* \ | ||||
| mipsisa64sb1-* | mipsisa64sb1el-* \ | | mipsisa64sb1-* | mipsisa64sb1el-* \ | |||
| mipsisa64sr71k-* | mipsisa64sr71kel-* \ | | mipsisa64sr71k-* | mipsisa64sr71kel-* \ | |||
| mipstx39 | mipstx39el \ | | mipstx39-* | mipstx39el-* \ | |||
| mmix-* \ | ||||
| mt-* \ | ||||
| msp430-* \ | ||||
| nios-* | nios2-* \ | ||||
| none-* | np1-* | ns16k-* | ns32k-* \ | | none-* | np1-* | ns16k-* | ns32k-* \ | |||
| orion-* \ | | orion-* \ | |||
| pdp10-* | pdp11-* | pj-* | pjl-* | pn-* | power-* \ | | pdp10-* | pdp11-* | pj-* | pjl-* | pn-* | power-* \ | |||
| powerpc-* | powerpc64-* | powerpc64le-* | powerpcle-* | ppcbe-* \ | | powerpc-* | powerpc64-* | powerpc64le-* | powerpcle-* | ppcbe-* \ | |||
| pyramid-* \ | | pyramid-* \ | |||
| romp-* | rs6000-* \ | | romp-* | rs6000-* \ | |||
| sh-* | sh[1234]-* | sh3e-* | sh[34]eb-* | shbe-* \ | | sh-* | sh[1234]-* | sh[24]a-* | sh[23]e-* | sh[34]eb-* | sheb-* | shbe-* \ | |||
| shle-* | sh[1234]le-* | sh3ele-* | sh64-* | sh64le-* \ | | shle-* | sh[1234]le-* | sh3ele-* | sh64-* | sh64le-* \ | |||
| sparc-* | sparc64-* | sparc86x-* | sparclet-* | sparclite-* \ | | sparc-* | sparc64-* | sparc64b-* | sparc64v-* | sparc86x-* | sparc | |||
| sparcv9-* | sparcv9b-* | strongarm-* | sv1-* | sx?-* \ | let-* \ | |||
| tahoe-* | thumb-* | tic30-* | tic4x-* | tic54x-* | tic80-* | tron- | | sparclite-* \ | |||
* \ | | sparcv8-* | sparcv9-* | sparcv9b-* | sparcv9v-* | strongarm-* | sv | |||
1-* | sx?-* \ | ||||
| tahoe-* | thumb-* \ | ||||
| tic30-* | tic4x-* | tic54x-* | tic55x-* | tic6x-* | tic80-* \ | ||||
| tron-* \ | ||||
| v850-* | v850e-* | vax-* \ | | v850-* | v850e-* | vax-* \ | |||
| we32k-* \ | | we32k-* \ | |||
| x86-* | x86_64-* | xps100-* | xscale-* | xstormy16-* \ | | x86-* | x86_64-* | xps100-* | xscale-* | xscalee[bl]-* \ | |||
| xtensa-* \ | | xstormy16-* | xtensa-* \ | |||
| ymp-* \ | | ymp-* \ | |||
| z8k-*) | | z8k-*) | |||
;; | ;; | |||
m32c-*) | ||||
;; | ||||
# Recognize the various machine names and aliases which stand | # Recognize the various machine names and aliases which stand | |||
# for a CPU type and a company and sometimes even an OS. | # for a CPU type and a company and sometimes even an OS. | |||
386bsd) | 386bsd) | |||
basic_machine=i386-unknown | basic_machine=i386-unknown | |||
os=-bsd | os=-bsd | |||
;; | ;; | |||
3b1 | 7300 | 7300-att | att-7300 | pc7300 | safari | unixpc) | 3b1 | 7300 | 7300-att | att-7300 | pc7300 | safari | unixpc) | |||
basic_machine=m68000-att | basic_machine=m68000-att | |||
;; | ;; | |||
3b*) | 3b*) | |||
basic_machine=we32k-att | basic_machine=we32k-att | |||
;; | ;; | |||
a29khif) | a29khif) | |||
basic_machine=a29k-amd | basic_machine=a29k-amd | |||
os=-udi | os=-udi | |||
;; | ;; | |||
abacus) | ||||
basic_machine=abacus-unknown | ||||
;; | ||||
adobe68k) | adobe68k) | |||
basic_machine=m68010-adobe | basic_machine=m68010-adobe | |||
os=-scout | os=-scout | |||
;; | ;; | |||
alliant | fx80) | alliant | fx80) | |||
basic_machine=fx80-alliant | basic_machine=fx80-alliant | |||
;; | ;; | |||
altos | altos3068) | altos | altos3068) | |||
basic_machine=m68k-altos | basic_machine=m68k-altos | |||
;; | ;; | |||
am29k) | am29k) | |||
basic_machine=a29k-none | basic_machine=a29k-none | |||
os=-bsd | os=-bsd | |||
;; | ;; | |||
amd64) | ||||
basic_machine=x86_64-pc | ||||
;; | ||||
amd64-*) | ||||
basic_machine=x86_64-`echo $basic_machine | sed 's/^[^-]*-// | ||||
'` | ||||
;; | ||||
amdahl) | amdahl) | |||
basic_machine=580-amdahl | basic_machine=580-amdahl | |||
os=-sysv | os=-sysv | |||
;; | ;; | |||
amiga | amiga-*) | amiga | amiga-*) | |||
basic_machine=m68k-unknown | basic_machine=m68k-unknown | |||
;; | ;; | |||
amigaos | amigados) | amigaos | amigados) | |||
basic_machine=m68k-unknown | basic_machine=m68k-unknown | |||
os=-amigaos | os=-amigaos | |||
skipping to change at line 429 | skipping to change at line 476 | |||
os=-bsd | os=-bsd | |||
;; | ;; | |||
convex-c38) | convex-c38) | |||
basic_machine=c38-convex | basic_machine=c38-convex | |||
os=-bsd | os=-bsd | |||
;; | ;; | |||
cray | j90) | cray | j90) | |||
basic_machine=j90-cray | basic_machine=j90-cray | |||
os=-unicos | os=-unicos | |||
;; | ;; | |||
craynv) | ||||
basic_machine=craynv-cray | ||||
os=-unicosmp | ||||
;; | ||||
cr16c) | ||||
basic_machine=cr16c-unknown | ||||
os=-elf | ||||
;; | ||||
crds | unos) | crds | unos) | |||
basic_machine=m68k-crds | basic_machine=m68k-crds | |||
;; | ;; | |||
crisv32 | crisv32-* | etraxfs*) | ||||
basic_machine=crisv32-axis | ||||
;; | ||||
cris | cris-* | etrax*) | cris | cris-* | etrax*) | |||
basic_machine=cris-axis | basic_machine=cris-axis | |||
;; | ;; | |||
crx) | ||||
basic_machine=crx-unknown | ||||
os=-elf | ||||
;; | ||||
da30 | da30-*) | da30 | da30-*) | |||
basic_machine=m68k-da30 | basic_machine=m68k-da30 | |||
;; | ;; | |||
decstation | decstation-3100 | pmax | pmax-* | pmin | dec3100 | decs tatn) | decstation | decstation-3100 | pmax | pmax-* | pmin | dec3100 | decs tatn) | |||
basic_machine=mips-dec | basic_machine=mips-dec | |||
;; | ;; | |||
decsystem10* | dec10*) | decsystem10* | dec10*) | |||
basic_machine=pdp10-dec | basic_machine=pdp10-dec | |||
os=-tops10 | os=-tops10 | |||
;; | ;; | |||
skipping to change at line 457 | skipping to change at line 519 | |||
os=-tops20 | os=-tops20 | |||
;; | ;; | |||
delta | 3300 | motorola-3300 | motorola-delta \ | delta | 3300 | motorola-3300 | motorola-delta \ | |||
| 3300-motorola | delta-motorola) | | 3300-motorola | delta-motorola) | |||
basic_machine=m68k-motorola | basic_machine=m68k-motorola | |||
;; | ;; | |||
delta88) | delta88) | |||
basic_machine=m88k-motorola | basic_machine=m88k-motorola | |||
os=-sysv3 | os=-sysv3 | |||
;; | ;; | |||
djgpp) | ||||
basic_machine=i586-pc | ||||
os=-msdosdjgpp | ||||
;; | ||||
dpx20 | dpx20-*) | dpx20 | dpx20-*) | |||
basic_machine=rs6000-bull | basic_machine=rs6000-bull | |||
os=-bosx | os=-bosx | |||
;; | ;; | |||
dpx2* | dpx2*-bull) | dpx2* | dpx2*-bull) | |||
basic_machine=m68k-bull | basic_machine=m68k-bull | |||
os=-sysv3 | os=-sysv3 | |||
;; | ;; | |||
ebmon29k) | ebmon29k) | |||
basic_machine=a29k-amd | basic_machine=a29k-amd | |||
skipping to change at line 635 | skipping to change at line 701 | |||
*mint | -mint[0-9]* | *MiNT | *MiNT[0-9]*) | *mint | -mint[0-9]* | *MiNT | *MiNT[0-9]*) | |||
basic_machine=m68k-atari | basic_machine=m68k-atari | |||
os=-mint | os=-mint | |||
;; | ;; | |||
mips3*-*) | mips3*-*) | |||
basic_machine=`echo $basic_machine | sed -e 's/mips3/mips64/ '` | basic_machine=`echo $basic_machine | sed -e 's/mips3/mips64/ '` | |||
;; | ;; | |||
mips3*) | mips3*) | |||
basic_machine=`echo $basic_machine | sed -e 's/mips3/mips64/ '`-unknown | basic_machine=`echo $basic_machine | sed -e 's/mips3/mips64/ '`-unknown | |||
;; | ;; | |||
mmix*) | ||||
basic_machine=mmix-knuth | ||||
os=-mmixware | ||||
;; | ||||
monitor) | monitor) | |||
basic_machine=m68k-rom68k | basic_machine=m68k-rom68k | |||
os=-coff | os=-coff | |||
;; | ;; | |||
morphos) | morphos) | |||
basic_machine=powerpc-unknown | basic_machine=powerpc-unknown | |||
os=-morphos | os=-morphos | |||
;; | ;; | |||
msdos) | msdos) | |||
basic_machine=i386-pc | basic_machine=i386-pc | |||
os=-msdos | os=-msdos | |||
;; | ;; | |||
ms1-*) | ||||
basic_machine=`echo $basic_machine | sed -e 's/ms1-/mt-/'` | ||||
;; | ||||
mvs) | mvs) | |||
basic_machine=i370-ibm | basic_machine=i370-ibm | |||
os=-mvs | os=-mvs | |||
;; | ;; | |||
ncr3000) | ncr3000) | |||
basic_machine=i486-ncr | basic_machine=i486-ncr | |||
os=-sysv4 | os=-sysv4 | |||
;; | ;; | |||
netbsd386) | netbsd386) | |||
basic_machine=i386-unknown | basic_machine=i386-unknown | |||
skipping to change at line 726 | skipping to change at line 791 | |||
np1) | np1) | |||
basic_machine=np1-gould | basic_machine=np1-gould | |||
;; | ;; | |||
nsr-tandem) | nsr-tandem) | |||
basic_machine=nsr-tandem | basic_machine=nsr-tandem | |||
;; | ;; | |||
op50n-* | op60c-*) | op50n-* | op60c-*) | |||
basic_machine=hppa1.1-oki | basic_machine=hppa1.1-oki | |||
os=-proelf | os=-proelf | |||
;; | ;; | |||
or32 | or32-*) | openrisc | openrisc-*) | |||
basic_machine=or32-unknown | basic_machine=or32-unknown | |||
os=-coff | ;; | |||
os400) | ||||
basic_machine=powerpc-ibm | ||||
os=-os400 | ||||
;; | ;; | |||
OSE68000 | ose68000) | OSE68000 | ose68000) | |||
basic_machine=m68000-ericsson | basic_machine=m68000-ericsson | |||
os=-ose | os=-ose | |||
;; | ;; | |||
os68k) | os68k) | |||
basic_machine=m68k-none | basic_machine=m68k-none | |||
os=-os68k | os=-os68k | |||
;; | ;; | |||
pa-hitachi) | pa-hitachi) | |||
skipping to change at line 755 | skipping to change at line 823 | |||
;; | ;; | |||
pbd) | pbd) | |||
basic_machine=sparc-tti | basic_machine=sparc-tti | |||
;; | ;; | |||
pbb) | pbb) | |||
basic_machine=m68k-tti | basic_machine=m68k-tti | |||
;; | ;; | |||
pc532 | pc532-*) | pc532 | pc532-*) | |||
basic_machine=ns32k-pc532 | basic_machine=ns32k-pc532 | |||
;; | ;; | |||
pc98) | ||||
basic_machine=i386-pc | ||||
;; | ||||
pc98-*) | ||||
basic_machine=i386-`echo $basic_machine | sed 's/^[^-]*-//'` | ||||
;; | ||||
pentium | p5 | k5 | k6 | nexgen | viac3) | pentium | p5 | k5 | k6 | nexgen | viac3) | |||
basic_machine=i586-pc | basic_machine=i586-pc | |||
;; | ;; | |||
pentiumpro | p6 | 6x86 | athlon | athlon_*) | pentiumpro | p6 | 6x86 | athlon | athlon_*) | |||
basic_machine=i686-pc | basic_machine=i686-pc | |||
;; | ;; | |||
pentiumii | pentium2) | pentiumii | pentium2 | pentiumiii | pentium3) | |||
basic_machine=i686-pc | basic_machine=i686-pc | |||
;; | ;; | |||
pentium4) | ||||
basic_machine=i786-pc | ||||
;; | ||||
pentium-* | p5-* | k5-* | k6-* | nexgen-* | viac3-*) | pentium-* | p5-* | k5-* | k6-* | nexgen-* | viac3-*) | |||
basic_machine=i586-`echo $basic_machine | sed 's/^[^-]*-//'` | basic_machine=i586-`echo $basic_machine | sed 's/^[^-]*-//'` | |||
;; | ;; | |||
pentiumpro-* | p6-* | 6x86-* | athlon-*) | pentiumpro-* | p6-* | 6x86-* | athlon-*) | |||
basic_machine=i686-`echo $basic_machine | sed 's/^[^-]*-//'` | basic_machine=i686-`echo $basic_machine | sed 's/^[^-]*-//'` | |||
;; | ;; | |||
pentiumii-* | pentium2-*) | pentiumii-* | pentium2-* | pentiumiii-* | pentium3-*) | |||
basic_machine=i686-`echo $basic_machine | sed 's/^[^-]*-//'` | basic_machine=i686-`echo $basic_machine | sed 's/^[^-]*-//'` | |||
;; | ;; | |||
pentium4-*) | ||||
basic_machine=i786-`echo $basic_machine | sed 's/^[^-]*-//'` | ||||
;; | ||||
pn) | pn) | |||
basic_machine=pn-gould | basic_machine=pn-gould | |||
;; | ;; | |||
power) basic_machine=power-ibm | power) basic_machine=power-ibm | |||
;; | ;; | |||
ppc) basic_machine=powerpc-unknown | ppc) basic_machine=powerpc-unknown | |||
;; | ;; | |||
ppc-*) basic_machine=powerpc-`echo $basic_machine | sed 's/^[^-]*-/ /'` | ppc-*) basic_machine=powerpc-`echo $basic_machine | sed 's/^[^-]*-/ /'` | |||
;; | ;; | |||
ppcle | powerpclittle | ppc-le | powerpc-little) | ppcle | powerpclittle | ppc-le | powerpc-little) | |||
skipping to change at line 805 | skipping to change at line 885 | |||
ppc64le-* | powerpc64little-*) | ppc64le-* | powerpc64little-*) | |||
basic_machine=powerpc64le-`echo $basic_machine | sed 's/^[^- ]*-//'` | basic_machine=powerpc64le-`echo $basic_machine | sed 's/^[^- ]*-//'` | |||
;; | ;; | |||
ps2) | ps2) | |||
basic_machine=i386-ibm | basic_machine=i386-ibm | |||
;; | ;; | |||
pw32) | pw32) | |||
basic_machine=i586-unknown | basic_machine=i586-unknown | |||
os=-pw32 | os=-pw32 | |||
;; | ;; | |||
rdos) | ||||
basic_machine=i386-pc | ||||
os=-rdos | ||||
;; | ||||
rom68k) | rom68k) | |||
basic_machine=m68k-rom68k | basic_machine=m68k-rom68k | |||
os=-coff | os=-coff | |||
;; | ;; | |||
rm[46]00) | rm[46]00) | |||
basic_machine=mips-siemens | basic_machine=mips-siemens | |||
;; | ;; | |||
rtpc | rtpc-*) | rtpc | rtpc-*) | |||
basic_machine=romp-ibm | basic_machine=romp-ibm | |||
;; | ;; | |||
skipping to change at line 831 | skipping to change at line 915 | |||
sa29200) | sa29200) | |||
basic_machine=a29k-amd | basic_machine=a29k-amd | |||
os=-udi | os=-udi | |||
;; | ;; | |||
sb1) | sb1) | |||
basic_machine=mipsisa64sb1-unknown | basic_machine=mipsisa64sb1-unknown | |||
;; | ;; | |||
sb1el) | sb1el) | |||
basic_machine=mipsisa64sb1el-unknown | basic_machine=mipsisa64sb1el-unknown | |||
;; | ;; | |||
sei) | ||||
basic_machine=mips-sei | ||||
os=-seiux | ||||
;; | ||||
sequent) | sequent) | |||
basic_machine=i386-sequent | basic_machine=i386-sequent | |||
;; | ;; | |||
sh) | sh) | |||
basic_machine=sh-hitachi | basic_machine=sh-hitachi | |||
os=-hms | os=-hms | |||
;; | ;; | |||
sh64) | ||||
basic_machine=sh64-unknown | ||||
;; | ||||
sparclite-wrs | simso-wrs) | sparclite-wrs | simso-wrs) | |||
basic_machine=sparclite-wrs | basic_machine=sparclite-wrs | |||
os=-vxworks | os=-vxworks | |||
;; | ;; | |||
sps7) | sps7) | |||
basic_machine=m68k-bull | basic_machine=m68k-bull | |||
os=-sysv2 | os=-sysv2 | |||
;; | ;; | |||
spur) | spur) | |||
basic_machine=spur-unknown | basic_machine=spur-unknown | |||
skipping to change at line 904 | skipping to change at line 995 | |||
basic_machine=i386-sun | basic_machine=i386-sun | |||
;; | ;; | |||
sv1) | sv1) | |||
basic_machine=sv1-cray | basic_machine=sv1-cray | |||
os=-unicos | os=-unicos | |||
;; | ;; | |||
symmetry) | symmetry) | |||
basic_machine=i386-sequent | basic_machine=i386-sequent | |||
os=-dynix | os=-dynix | |||
;; | ;; | |||
t3d) | ||||
basic_machine=alpha-cray | ||||
os=-unicos | ||||
;; | ||||
t3e) | t3e) | |||
basic_machine=alphaev5-cray | basic_machine=alphaev5-cray | |||
os=-unicos | os=-unicos | |||
;; | ;; | |||
t90) | t90) | |||
basic_machine=t90-cray | basic_machine=t90-cray | |||
os=-unicos | os=-unicos | |||
;; | ;; | |||
tic4x | c4x*) | ||||
basic_machine=tic4x-unknown | ||||
os=-coff | ||||
;; | ||||
tic54x | c54x*) | tic54x | c54x*) | |||
basic_machine=tic54x-unknown | basic_machine=tic54x-unknown | |||
os=-coff | os=-coff | |||
;; | ;; | |||
tic55x | c55x*) | ||||
basic_machine=tic55x-unknown | ||||
os=-coff | ||||
;; | ||||
tic6x | c6x*) | ||||
basic_machine=tic6x-unknown | ||||
os=-coff | ||||
;; | ||||
tx39) | tx39) | |||
basic_machine=mipstx39-unknown | basic_machine=mipstx39-unknown | |||
;; | ;; | |||
tx39el) | tx39el) | |||
basic_machine=mipstx39el-unknown | basic_machine=mipstx39el-unknown | |||
;; | ;; | |||
toad1) | toad1) | |||
basic_machine=pdp10-xkl | basic_machine=pdp10-xkl | |||
os=-tops20 | os=-tops20 | |||
;; | ;; | |||
tower | tower-32) | tower | tower-32) | |||
basic_machine=m68k-ncr | basic_machine=m68k-ncr | |||
;; | ;; | |||
tpf) | ||||
basic_machine=s390x-ibm | ||||
os=-tpf | ||||
;; | ||||
udi29k) | udi29k) | |||
basic_machine=a29k-amd | basic_machine=a29k-amd | |||
os=-udi | os=-udi | |||
;; | ;; | |||
ultra3) | ultra3) | |||
basic_machine=a29k-nyu | basic_machine=a29k-nyu | |||
os=-sym1 | os=-sym1 | |||
;; | ;; | |||
v810 | necv810) | v810 | necv810) | |||
basic_machine=v810-nec | basic_machine=v810-nec | |||
skipping to change at line 980 | skipping to change at line 1075 | |||
os=-vxworks | os=-vxworks | |||
;; | ;; | |||
w65*) | w65*) | |||
basic_machine=w65-wdc | basic_machine=w65-wdc | |||
os=-none | os=-none | |||
;; | ;; | |||
w89k-*) | w89k-*) | |||
basic_machine=hppa1.1-winbond | basic_machine=hppa1.1-winbond | |||
os=-proelf | os=-proelf | |||
;; | ;; | |||
xbox) | ||||
basic_machine=i686-pc | ||||
os=-mingw32 | ||||
;; | ||||
xps | xps100) | xps | xps100) | |||
basic_machine=xps100-honeywell | basic_machine=xps100-honeywell | |||
;; | ;; | |||
ymp) | ymp) | |||
basic_machine=ymp-cray | basic_machine=ymp-cray | |||
os=-unicos | os=-unicos | |||
;; | ;; | |||
z8k-*-coff) | z8k-*-coff) | |||
basic_machine=z8k-unknown | basic_machine=z8k-unknown | |||
os=-sim | os=-sim | |||
skipping to change at line 1010 | skipping to change at line 1109 | |||
;; | ;; | |||
op50n) | op50n) | |||
basic_machine=hppa1.1-oki | basic_machine=hppa1.1-oki | |||
;; | ;; | |||
op60c) | op60c) | |||
basic_machine=hppa1.1-oki | basic_machine=hppa1.1-oki | |||
;; | ;; | |||
romp) | romp) | |||
basic_machine=romp-ibm | basic_machine=romp-ibm | |||
;; | ;; | |||
mmix) | ||||
basic_machine=mmix-knuth | ||||
;; | ||||
rs6000) | rs6000) | |||
basic_machine=rs6000-ibm | basic_machine=rs6000-ibm | |||
;; | ;; | |||
vax) | vax) | |||
basic_machine=vax-dec | basic_machine=vax-dec | |||
;; | ;; | |||
pdp10) | pdp10) | |||
# there are many clones, so DEC is not a safe bet | # there are many clones, so DEC is not a safe bet | |||
basic_machine=pdp10-unknown | basic_machine=pdp10-unknown | |||
;; | ;; | |||
pdp11) | pdp11) | |||
basic_machine=pdp11-dec | basic_machine=pdp11-dec | |||
;; | ;; | |||
we32k) | we32k) | |||
basic_machine=we32k-att | basic_machine=we32k-att | |||
;; | ;; | |||
sh3 | sh4 | sh3eb | sh4eb | sh[1234]le | sh3ele) | sh[1234] | sh[24]a | sh[34]eb | sh[1234]le | sh[23]ele) | |||
basic_machine=sh-unknown | basic_machine=sh-unknown | |||
;; | ;; | |||
sh64) | sparc | sparcv8 | sparcv9 | sparcv9b | sparcv9v) | |||
basic_machine=sh64-unknown | ||||
;; | ||||
sparc | sparcv9 | sparcv9b) | ||||
basic_machine=sparc-sun | basic_machine=sparc-sun | |||
;; | ;; | |||
cydra) | cydra) | |||
basic_machine=cydra-cydrome | basic_machine=cydra-cydrome | |||
;; | ;; | |||
orion) | orion) | |||
basic_machine=orion-highlevel | basic_machine=orion-highlevel | |||
;; | ;; | |||
orion105) | orion105) | |||
basic_machine=clipper-highlevel | basic_machine=clipper-highlevel | |||
skipping to change at line 1105 | skipping to change at line 1204 | |||
# The portable systems comes first. | # The portable systems comes first. | |||
# Each alternative MUST END IN A *, to match a version number. | # Each alternative MUST END IN A *, to match a version number. | |||
# -sysv* is not here because it comes later, after sysvr4. | # -sysv* is not here because it comes later, after sysvr4. | |||
-gnu* | -bsd* | -mach* | -minix* | -genix* | -ultrix* | -irix* \ | -gnu* | -bsd* | -mach* | -minix* | -genix* | -ultrix* | -irix* \ | |||
| -*vms* | -sco* | -esix* | -isc* | -aix* | -sunos | -sunos[34 ]*\ | | -*vms* | -sco* | -esix* | -isc* | -aix* | -sunos | -sunos[34 ]*\ | |||
| -hpux* | -unos* | -osf* | -luna* | -dgux* | -solaris* | -sym * \ | | -hpux* | -unos* | -osf* | -luna* | -dgux* | -solaris* | -sym * \ | |||
| -amigaos* | -amigados* | -msdos* | -newsos* | -unicos* | -ao f* \ | | -amigaos* | -amigados* | -msdos* | -newsos* | -unicos* | -ao f* \ | |||
| -aos* \ | | -aos* \ | |||
| -nindy* | -vxsim* | -vxworks* | -ebmon* | -hms* | -mvs* \ | | -nindy* | -vxsim* | -vxworks* | -ebmon* | -hms* | -mvs* \ | |||
| -clix* | -riscos* | -uniplus* | -iris* | -rtu* | -xenix* \ | | -clix* | -riscos* | -uniplus* | -iris* | -rtu* | -xenix* \ | |||
| -hiux* | -386bsd* | -netbsd* | -openbsd* | -freebsd* | -risc | | -hiux* | -386bsd* | -knetbsd* | -mirbsd* | -netbsd* \ | |||
ix* \ | | -openbsd* | -solidbsd* \ | |||
| -lynxos* | -bosx* | -nextstep* | -cxux* | -aout* | -elf* | - | | -ekkobsd* | -kfreebsd* | -freebsd* | -riscix* | -lynxos* \ | |||
oabi* \ | | -bosx* | -nextstep* | -cxux* | -aout* | -elf* | -oabi* \ | |||
| -ptx* | -coff* | -ecoff* | -winnt* | -domain* | -vsta* \ | | -ptx* | -coff* | -ecoff* | -winnt* | -domain* | -vsta* \ | |||
| -udi* | -eabi* | -lites* | -ieee* | -go32* | -aux* \ | | -udi* | -eabi* | -lites* | -ieee* | -go32* | -aux* \ | |||
| -chorusos* | -chorusrdb* \ | | -chorusos* | -chorusrdb* \ | |||
| -cygwin* | -pe* | -psos* | -moss* | -proelf* | -rtems* \ | | -cygwin* | -pe* | -psos* | -moss* | -proelf* | -rtems* \ | |||
| -mingw32* | -linux-gnu* | -uxpv* | -beos* | -mpeix* | -udk* | | -mingw32* | -linux-gnu* | -linux-newlib* | -linux-uclibc* \ | |||
\ | | -uxpv* | -beos* | -mpeix* | -udk* \ | |||
| -interix* | -uwin* | -mks* | -rhapsody* | -darwin* | -opened * \ | | -interix* | -uwin* | -mks* | -rhapsody* | -darwin* | -opened * \ | |||
| -openstep* | -oskit* | -conix* | -pw32* | -nonstopux* \ | | -openstep* | -oskit* | -conix* | -pw32* | -nonstopux* \ | |||
| -storm-chaos* | -tops10* | -tenex* | -tops20* | -its* \ | | -storm-chaos* | -tops10* | -tenex* | -tops20* | -its* \ | |||
| -os2* | -vos* | -palmos* | -uclinux* | -nucleus* \ | | -os2* | -vos* | -palmos* | -uclinux* | -nucleus* \ | |||
| -morphos* | -superux* | -rtmk* | -rtmk-nova* | -windiss* \ | | -morphos* | -superux* | -rtmk* | -rtmk-nova* | -windiss* \ | |||
| -powermax* | -dnix*) | | -powermax* | -dnix* | -nx6 | -nx7 | -sei* | -dragonfly* \ | |||
| -skyos* | -haiku* | -rdos*) | ||||
# Remember, each alternative MUST END IN *, to match a version numbe r. | # Remember, each alternative MUST END IN *, to match a version numbe r. | |||
;; | ;; | |||
-qnx*) | -qnx*) | |||
case $basic_machine in | case $basic_machine in | |||
x86-* | i*86-*) | x86-* | i*86-*) | |||
;; | ;; | |||
*) | *) | |||
os=-nto$os | os=-nto$os | |||
;; | ;; | |||
esac | esac | |||
;; | ;; | |||
-nto-qnx*) | -nto-qnx*) | |||
;; | ;; | |||
-nto*) | -nto*) | |||
os=`echo $os | sed -e 's|nto|nto-qnx|'` | os=`echo $os | sed -e 's|nto|nto-qnx|'` | |||
;; | ;; | |||
-sim | -es1800* | -hms* | -xray | -os68k* | -none* | -v88r* \ | -sim | -es1800* | -hms* | -xray | -os68k* | -none* | -v88r* \ | |||
| -windows* | -osx | -abug | -netware* | -os9* | -beos* \ | | -windows* | -osx | -abug | -netware* | -os9* | -beos* | -hai ku* \ | |||
| -macos* | -mpw* | -magic* | -mmixware* | -mon960* | -lnews*) | | -macos* | -mpw* | -magic* | -mmixware* | -mon960* | -lnews*) | |||
;; | ;; | |||
-mac*) | -mac*) | |||
os=`echo $os | sed -e 's|mac|macos|'` | os=`echo $os | sed -e 's|mac|macos|'` | |||
;; | ;; | |||
-linux-dietlibc) | ||||
os=-linux-dietlibc | ||||
;; | ||||
-linux*) | -linux*) | |||
os=`echo $os | sed -e 's|linux|linux-gnu|'` | os=`echo $os | sed -e 's|linux|linux-gnu|'` | |||
;; | ;; | |||
-sunos5*) | -sunos5*) | |||
os=`echo $os | sed -e 's|sunos5|solaris2|'` | os=`echo $os | sed -e 's|sunos5|solaris2|'` | |||
;; | ;; | |||
-sunos6*) | -sunos6*) | |||
os=`echo $os | sed -e 's|sunos6|solaris3|'` | os=`echo $os | sed -e 's|sunos6|solaris3|'` | |||
;; | ;; | |||
-opened*) | -opened*) | |||
os=-openedition | os=-openedition | |||
;; | ;; | |||
-os400*) | ||||
os=-os400 | ||||
;; | ||||
-wince*) | -wince*) | |||
os=-wince | os=-wince | |||
;; | ;; | |||
-osfrose*) | -osfrose*) | |||
os=-osfrose | os=-osfrose | |||
;; | ;; | |||
-osf*) | -osf*) | |||
os=-osf | os=-osf | |||
;; | ;; | |||
-utek*) | -utek*) | |||
skipping to change at line 1174 | skipping to change at line 1283 | |||
;; | ;; | |||
-dynix*) | -dynix*) | |||
os=-bsd | os=-bsd | |||
;; | ;; | |||
-acis*) | -acis*) | |||
os=-aos | os=-aos | |||
;; | ;; | |||
-atheos*) | -atheos*) | |||
os=-atheos | os=-atheos | |||
;; | ;; | |||
-syllable*) | ||||
os=-syllable | ||||
;; | ||||
-386bsd) | -386bsd) | |||
os=-bsd | os=-bsd | |||
;; | ;; | |||
-ctix* | -uts*) | -ctix* | -uts*) | |||
os=-sysv | os=-sysv | |||
;; | ;; | |||
-nova*) | -nova*) | |||
os=-rtmk-nova | os=-rtmk-nova | |||
;; | ;; | |||
-ns2 ) | -ns2 ) | |||
skipping to change at line 1196 | skipping to change at line 1308 | |||
-nsk*) | -nsk*) | |||
os=-nsk | os=-nsk | |||
;; | ;; | |||
# Preserve the version number of sinix5. | # Preserve the version number of sinix5. | |||
-sinix5.*) | -sinix5.*) | |||
os=`echo $os | sed -e 's|sinix|sysv|'` | os=`echo $os | sed -e 's|sinix|sysv|'` | |||
;; | ;; | |||
-sinix*) | -sinix*) | |||
os=-sysv4 | os=-sysv4 | |||
;; | ;; | |||
-tpf*) | ||||
os=-tpf | ||||
;; | ||||
-triton*) | -triton*) | |||
os=-sysv3 | os=-sysv3 | |||
;; | ;; | |||
-oss*) | -oss*) | |||
os=-sysv3 | os=-sysv3 | |||
;; | ;; | |||
-svr4) | -svr4) | |||
os=-sysv4 | os=-sysv4 | |||
;; | ;; | |||
-svr3) | -svr3) | |||
skipping to change at line 1226 | skipping to change at line 1341 | |||
;; | ;; | |||
-es1800*) | -es1800*) | |||
os=-ose | os=-ose | |||
;; | ;; | |||
-xenix) | -xenix) | |||
os=-xenix | os=-xenix | |||
;; | ;; | |||
-*mint | -mint[0-9]* | -*MiNT | -MiNT[0-9]*) | -*mint | -mint[0-9]* | -*MiNT | -MiNT[0-9]*) | |||
os=-mint | os=-mint | |||
;; | ;; | |||
-aros*) | ||||
os=-aros | ||||
;; | ||||
-kaos*) | ||||
os=-kaos | ||||
;; | ||||
-zvmoe) | ||||
os=-zvmoe | ||||
;; | ||||
-none) | -none) | |||
;; | ;; | |||
*) | *) | |||
# Get rid of the `-' at the beginning of $os. | # Get rid of the `-' at the beginning of $os. | |||
os=`echo $os | sed 's/[^-]*-//'` | os=`echo $os | sed 's/[^-]*-//'` | |||
echo Invalid configuration \`$1\': system \`$os\' not recogn ized 1>&2 | echo Invalid configuration \`$1\': system \`$os\' not recogn ized 1>&2 | |||
exit 1 | exit 1 | |||
;; | ;; | |||
esac | esac | |||
else | else | |||
skipping to change at line 1257 | skipping to change at line 1381 | |||
case $basic_machine in | case $basic_machine in | |||
*-acorn) | *-acorn) | |||
os=-riscix1.2 | os=-riscix1.2 | |||
;; | ;; | |||
arm*-rebel) | arm*-rebel) | |||
os=-linux | os=-linux | |||
;; | ;; | |||
arm*-semi) | arm*-semi) | |||
os=-aout | os=-aout | |||
;; | ;; | |||
c4x-* | tic4x-*) | ||||
os=-coff | ||||
;; | ||||
# This must come before the *-dec entry. | # This must come before the *-dec entry. | |||
pdp10-*) | pdp10-*) | |||
os=-tops20 | os=-tops20 | |||
;; | ;; | |||
pdp11-*) | pdp11-*) | |||
os=-none | os=-none | |||
;; | ;; | |||
*-dec | vax-*) | *-dec | vax-*) | |||
os=-ultrix4.2 | os=-ultrix4.2 | |||
;; | ;; | |||
skipping to change at line 1300 | skipping to change at line 1427 | |||
;; | ;; | |||
*-tti) # must be before sparc entry or we get the wrong os. | *-tti) # must be before sparc entry or we get the wrong os. | |||
os=-sysv3 | os=-sysv3 | |||
;; | ;; | |||
sparc-* | *-sun) | sparc-* | *-sun) | |||
os=-sunos4.1.1 | os=-sunos4.1.1 | |||
;; | ;; | |||
*-be) | *-be) | |||
os=-beos | os=-beos | |||
;; | ;; | |||
*-haiku) | ||||
os=-haiku | ||||
;; | ||||
*-ibm) | *-ibm) | |||
os=-aix | os=-aix | |||
;; | ;; | |||
*-knuth) | ||||
os=-mmixware | ||||
;; | ||||
*-wec) | *-wec) | |||
os=-proelf | os=-proelf | |||
;; | ;; | |||
*-winbond) | *-winbond) | |||
os=-proelf | os=-proelf | |||
;; | ;; | |||
*-oki) | *-oki) | |||
os=-proelf | os=-proelf | |||
;; | ;; | |||
*-hp) | *-hp) | |||
skipping to change at line 1435 | skipping to change at line 1568 | |||
;; | ;; | |||
-luna*) | -luna*) | |||
vendor=omron | vendor=omron | |||
;; | ;; | |||
-genix*) | -genix*) | |||
vendor=ns | vendor=ns | |||
;; | ;; | |||
-mvs* | -opened*) | -mvs* | -opened*) | |||
vendor=ibm | vendor=ibm | |||
;; | ;; | |||
-os400*) | ||||
vendor=ibm | ||||
;; | ||||
-ptx*) | -ptx*) | |||
vendor=sequent | vendor=sequent | |||
;; | ;; | |||
-tpf*) | ||||
vendor=ibm | ||||
;; | ||||
-vxsim* | -vxworks* | -windiss*) | -vxsim* | -vxworks* | -windiss*) | |||
vendor=wrs | vendor=wrs | |||
;; | ;; | |||
-aux*) | -aux*) | |||
vendor=apple | vendor=apple | |||
;; | ;; | |||
-hms*) | -hms*) | |||
vendor=hitachi | vendor=hitachi | |||
;; | ;; | |||
-mpw* | -macos*) | -mpw* | -macos*) | |||
skipping to change at line 1462 | skipping to change at line 1601 | |||
;; | ;; | |||
-vos*) | -vos*) | |||
vendor=stratus | vendor=stratus | |||
;; | ;; | |||
esac | esac | |||
basic_machine=`echo $basic_machine | sed "s/unknown/$vendor/ "` | basic_machine=`echo $basic_machine | sed "s/unknown/$vendor/ "` | |||
;; | ;; | |||
esac | esac | |||
echo $basic_machine$os | echo $basic_machine$os | |||
exit 0 | exit | |||
# Local variables: | # Local variables: | |||
# eval: (add-hook 'write-file-hooks 'time-stamp) | # eval: (add-hook 'write-file-hooks 'time-stamp) | |||
# time-stamp-start: "timestamp='" | # time-stamp-start: "timestamp='" | |||
# time-stamp-format: "%:y-%02m-%02d" | # time-stamp-format: "%:y-%02m-%02d" | |||
# time-stamp-end: "'" | # time-stamp-end: "'" | |||
# End: | # End: | |||
End of changes. 78 change blocks. | ||||
66 lines changed or deleted | 206 lines changed or added | |||
This html diff was produced by rfcdiff 1.41. The latest version is available from http://tools.ietf.org/tools/rfcdiff/ |